# Notion Style Tweaks (Beta)

A Chrome extension aiming to give granular control over the visual experience of Notion.
Written in Svelte.

![cover](https://github.com/EliWimmer/notion-style-tweaks/blob/master/coverimage.png)

### Installation

#### [Chrome Web Store](https://chrome.google.com/webstore/detail/notion-style-tweaks/fclmlifmfhekeohpojchhkmgpmkplkpo/related?hl=en-GB&authuser=0)

#### Manual
1. Download the ZIP in [releases](https://github.com/EliWimmer/notion-style-tweaks/releases)
2. Navigate to [chrome://extensions/](chrome://extensions/)
3. Toggle Developer Mode in the top-right.
4. Drag and drop the ZIP into Chrome to install

### Usage

-   Open from toolbar with Notion loaded
-   Tweak

### Notes

-   Tweaks only apply in real-time when done with Notion as the active tab, otherwise you will need to refresh Notion to see the changes
-   During beta your settings are subject to being reset on updates (or may experience general bugginess, which changing a setting once will generally resolve).

# Current Features

## Databases
### All
#### Layout
- Inline Conrols Always Visible - v010
#### Style
- Cleaner Database Controls - v010
- Bigger Grouped Select Headings - v060
#### Hiders
- Hide View Type Icons
- Hide Link Arrows
- Hide Toolbar
### Tables
#### Layout
- Centered Header Cells
- Center All Cells
#### Style
- Rounded Checkboxes
- Header Cell Row Background
#### Hiders
- Hide Header Row Icons
- Hide Page Icons
- Hide Column Borders
- Hide Row Borders
- Hide Calculation Row
- Hide New Page Row
### Lists
#### Layout
- Last Props First
#### Style
- Rounded Checkboxes
#### Hiders
- Hide Page Icons
- Hide Page Underlines
### Galleries
#### Layout
- Covers on Bottom
- Large Rollup Images
#### Style
- Simple Cards
### Boards
#### Style
- Simple Cards
## Pages and Blocks
### All Pages
#### Style
- Floating Page Covers
- Floating Toolbar
### Database Pages
#### Layout
- Smaller Database Page Titles
#### Hiders
- Hide Database Page Headers
### Block Pages
#### Layout
- Smaller Page TItles
#### Hiders
- Hide Page Headers
## Text and Font
### Headers
#### Style
- Comfy Header Blocks
### Containers
#### Style
- Page Blocks as Buttons
- Round To-Do Block Checkboxes
## Sidebar
### Options
#### Layout
- Settings as Icons on Bottom
#### Style
- Floating Sidebar
#### Hiders
- Hide Templates Options
- Hide Import Options
- Hide New Page Button
### Behavior
#### Layout
- Prevent Hover Reveal
## Theming
### Dark Themes
- Default
- Notion Style Tweaks
- Nord
- Dracula
- Gruvbox
- Gruvbox Deep
### Light Themes
- Coming Soon

### Known bugs

- Updating the extensions may cause toggles to not visually represent active settings until being toggled again.

### Roadmap

Major planned features include:


-   An integrated sidebar for managing extension settings
-   A comprehensive visual overhaul to Notion (aka a theme with much deeper and systematic changes than has been done in Notion prior)
-   Many, MANY more tweaks.

If you find any bugs or have any suggestions feel free to open an issue on github.
